#ifndef _DuplicatorManager_H
#define _DuplicatorManager_H

#include "sf2d_common_ACE.h"

#include "list/ClientList.h"
#include "list/Flow.h"
#include "list/FlowList.h"
#include "list/GlobalList.h"
#include "list/DuplicatorList.h"
#include "list/SocketList.h"

class DuplicatorManager {
 public:
  DuplicatorManager(); 
  ~DuplicatorManager();
  int send_message(ACE_SOCK_Stream *dupli,const ACE_TCHAR *message);
  int get_buffer_size();
  int notify_duplicators_to_die_local(ACE_TString clientID_);
  int notify_duplicator_to_die(ACE_TString flowID_, ACE_TString clientID_);
  //int notify_duplicators_to_die_peer(ACE_TString clientID_);

 private :
  ACE_TCHAR *buffer;
  int buffer_length ;
  int buffer_size ;
  
} ;

#endif

 
