#include "FlowImpl.h"

namespace smartflow {

FlowImpl::FlowImpl()
{
	ACE_TRACE(ACE_TEXT("FlowImpl::FlowImpl"));
}
FlowImpl::~FlowImpl()
{
	ACE_TRACE(ACE_TEXT("FlowImpl::~FlowImpl"));
}
bool FlowImpl::init(Flow *manager)
{
	ACE_TRACE(ACE_TEXT("FlowImpl::init"));
	if ( manager == NULL)
       	return false;
    manager_ = manager;

    return true;
}
Smartflow * FlowImpl::getSmartflow(void)
{
	ACE_TRACE(ACE_TEXT("FlowImpl::getSmartflow"));
	if (manager_)
    	return manager_->get_smartflow();
    return NULL;
}
	
Smartflow * FlowImpl::get_smartflow(void)
{
	ACE_TRACE(ACE_TEXT("FlowImpl::get_smartflow"));
	return this->getSmartflow();
}
	
Flow * FlowImpl::getManager(void)
{
	ACE_TRACE(ACE_TEXT("FlowImpl::getManager"));
	return manager_ ;
}

Flow * FlowImpl::get_manager(void)
{
	ACE_TRACE(ACE_TEXT("FlowImpl::get_manager"));
	return this->getManager();
}
	
} //namespace SMARTFLOW
