#include "Log_Manager.h"

namespace smartflow {

Log_Manager::Log_Manager() {
	ACE_TRACE(ACE_TEXT("Log_Manager::Log_Manager"));
	sf_ = 0;
}

Log_Manager::~Log_Manager() {
	ACE_TRACE(ACE_TEXT("Log_Manager::~Log_Manager"));
	sf_ = 0;
}

bool Log_Manager::init(Smartflow *sf, const char* name) {
	ACE_TRACE(ACE_TEXT("Log_Manager::init"));
	ACE_UNUSED_ARG(name);
	if (sf==0)
        	return false;
	sf_ = sf;
	return true;
}

Smartflow * Log_Manager::getSmartflow(void) {
	ACE_TRACE(ACE_TEXT("Log_Manager::getSmartflow"));
 	return sf_;
}

Smartflow * Log_Manager::get_smartflow(void) {
	ACE_TRACE(ACE_TEXT("Log_Manager::get_smartflow"));
	return this->getSmartflow();
}
	
} // namespace SMARTFLOW 

