#include <MemoryManager.h>

namespace smartflow {

MemoryManager::MemoryManager()
{
	ACE_TRACE(ACE_TEXT("MemoryManager::MemoryManager"));
	sf_ = 0;
}
MemoryManager::~MemoryManager()
{
	ACE_TRACE(ACE_TEXT("MemoryManager::~MemoryManager"));
	sf_ = 0;
}
	
bool MemoryManager::init(Smartflow *sf)
{
	ACE_TRACE(ACE_TEXT("MemoryManager::init"));
	if (sf==0)
        	return false;
        sf_ = sf;
        return true;
}
Smartflow * MemoryManager::get_smartflow(void)
{
	ACE_TRACE(ACE_TEXT("MemoryManager::get_smartflow"));
 	return this->getSmartflow();
}
	
Smartflow * MemoryManager::getSmartflow(void)
{
	ACE_TRACE(ACE_TEXT("MemoryManager::getSmartflow"));
	return sf_;
}
	
Buffer *  MemoryManager::malloc_buffer(Flow * flow, buffer_size_t sizeOfBuffer) {
	return this->mallocBuffer(flow, sizeOfBuffer);
}

void MemoryManager::free_buffer(Buffer *buf) {
	this->freeBuffer(buf);
}

	
} // namespace SMARTFLOW 
