#include <Preference.h>

namespace smartflow {

Preference::Preference()
{
	ACE_TRACE(ACE_TEXT("Preference::Preference"));
  manager_ = NULL;
}
Preference::~Preference()
{
	ACE_TRACE(ACE_TEXT("Preference::~Preference"));
}
bool Preference::init(PreferenceManager *manager)
{
	ACE_TRACE(ACE_TEXT("Preference::init"));
	if (manager==0)
        	return false;
    manager_ = manager;
    return true;
}
	
Smartflow * Preference::getSmartflow(void)
{
	ACE_TRACE(ACE_TEXT("Preference::getSmartflow"));
	if (manager_)
		return manager_->getSmartflow();
	return NULL;
}
	
Smartflow * Preference::get_smartflow(void)
{
	ACE_TRACE(ACE_TEXT("Preference::get_smartflow"));
	return this->getSmartflow();
}

PreferenceManager * Preference::getManager(void)
{
	ACE_TRACE(ACE_TEXT("Preference::getManager"));
	return manager_ ;
}
	
PreferenceManager * Preference::get_manager(void)
{
	ACE_TRACE(ACE_TEXT("Preference::get_manager"));
	return this->getManager();
}

void Preference::addPreference(string key, string value) {
	ACE_TRACE(ACE_TEXT("Preference::addPreference"));
  manager_->addPreference(key,value);
}

void Preference::add_preference(string key, string value) {
	ACE_TRACE(ACE_TEXT("Preference::addPreference"));
	this->addPreference(key,value);
}

void Preference::addPreference(string key, string value, string comment) {
	ACE_TRACE(ACE_TEXT("Preference::addPreference"));
  manager_->addPreference(key,value,comment);
}

void Preference::add_preference(string key, string value, string comment) {
	ACE_TRACE(ACE_TEXT("Preference::addPreference"));
	this->addPreference(key,value,comment);
}

}
