#include "Preference_XMLFile.h"
#include "ErrorManager.h"
#include "XML_File_Handler.h"

namespace smartflow {

Preference_XMLFile::Preference_XMLFile()
	:super()
{
	ACE_TRACE(ACE_TEXT("Preference_XMLFile::Preference_XMLFile"));
}

Preference_XMLFile::~Preference_XMLFile()
{
	ACE_TRACE(ACE_TEXT("Preference_XMLFile::~Preference_XMLFile"));
}

bool Preference_XMLFile::init(PreferenceManager *manager)
{
	ACE_TRACE(ACE_TEXT("Preference_XMLFile::init"));
	return super::init(manager);
}

bool Preference_XMLFile::readPreferences(string &filename) {
  ACE_TRACE(ACE_TEXT("Preference_XMLFile::readPreferences"));
  XML_File_Handler xmlFileHandler(this);
  const ACEXML_Char* fname = filename.c_str();

  return xmlFileHandler.parse(fname);
}

bool Preference_XMLFile::writePreferencesToXMLFile(string & filename) {
  ACE_TRACE(ACE_TEXT("Preference_XMLFile::writePreferencesToXMLFile"));
  XML_File_Handler xmlFileHandler(this);
  const ACEXML_Char* fname = filename.c_str();

	return xmlFileHandler.write(fname);
}

} // namespace SMARTFLOW
