#ifndef _XML_FILE_HANDLER_H
#define _XML_FILE_HANDLER_H

#include "ace/svc_export.h"

#include "ace/OS_main.h"

#include "ACEXML/parser/parser/Parser.h"
#include "ACEXML/common/FileCharStream.h"
#include "ACEXML/common/DefaultHandler.h"
#include "Smartflow.h"
#include "Preference_XMLFile.h"

using namespace smartflow;

class ACE_Svc_Export XML_File_Handler
{
 public:
  XML_File_Handler(Preference_XMLFile *pref_);
  ~XML_File_Handler();
  ACEXML_DefaultHandler *handler;
  bool parse(const ACEXML_Char* fname);
  bool write(const ACEXML_Char* fname);

 private:
  Preference_XMLFile *pref;
};

#endif
