include(../../sf2.pro.inc)
TEMPLATE    = lib
DESTDIR     = $$SF2/lib
LIBS        += -lACEXML -lACEXML_Parser
CONFIG      -= qt

QMAKE_CLEAN += $$SF2/lib/libsmartflow2*

SOURCES  += Smartflow.cpp \
            ErrorManager.cpp \
            PreferenceManager.cpp \
            PreferenceManager_STL.cpp \
            Preference.cpp \
            Preference_Hash.cpp \
            Preference_Args.cpp \
            Preference_XMLFile.cpp \            
            MemoryManager.cpp \
            MemoryManager_ACE.cpp \
            Buffer.cpp \
            Buffer_ACE.cpp \
            FlowManager.cpp \
            FlowManager_STL.cpp \
            Flow.cpp \
            FlowImpl.cpp \
            FlowImpl_ACE.cpp \
            ConnectionManager.cpp \
            ConnectionManager_ACE.cpp \
	    Log_Manager.cpp \
	    Log_Manager_ACE.cpp \
            Client_Handler.cpp \
            Thread_Client.cpp \
            XML_File_Handler.cpp \
            XML_SaxHandler.cpp

HEADERS  += $$SF2/src/include/Smartflow.h \
            $$SF2/src/include/ErrorManager.h \
            $$SF2/src/include/PreferenceManager.h \
            PreferenceManager_STL.h \
            $$SF2/src/include/Preference.h \
            Preference_Hash.h \
            Preference_Args.h \
            Preference_XMLFile.h \            
            $$SF2/src/include/MemoryManager.h \
            MemoryManager_ACE.h \
            $$SF2/src/include/Buffer.h \
            Buffer_ACE.h \
            $$SF2/src/include/FlowManager.h \
            FlowManager_STL.h \
            $$SF2/src/include/Flow.h \
            FlowImpl.h \
            FlowImpl_ACE.h \
            $$SF2/src/include/ConnectionManager.h \
            ConnectionManager_ACE.h \
            Log_Manager.h \
	    Log_Manager_ACE.h \
            Client_Handler.h \
            Thread_Client.h \
            XML_File_Handler.h \
            XML_SaxHandler.h \
            duplicator_common_ACE.h \
            sf2d_common_ACE.h
