#include "MainWindowClientDescGen.h"
#include "FlowDescriptionDialog.h"
#include "xmlwriter/xmlwriter.h"

#include <QtCore/QString>
#include <QtCore/QRegExp>
#include <QtCore/QFile>
#include <QtXml/QDomDocument>
#include <QtGui/QMainWindow>
#include <QtGui/QValidator>
#include <QtGui/QMessageBox>
#include <QtGui/QRadioButton>
#include <QtGui/QComboBox>

/*
 *  Constructs a MainWindowClientDescGen as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 */
MainWindowClientDescGen::MainWindowClientDescGen(QWidget* parent, const char* name, Qt::WindowFlags fl)
: QMainWindow(parent, name, fl)
{
    setupUi(this);
	
    (void)statusBar();
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
MainWindowClientDescGen::~MainWindowClientDescGen()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MainWindowClientDescGen::languageChange()
{
    retranslateUi(this);
}

void MainWindowClientDescGen::fileNew()
{
    qWarning("MainWindowClientDescGen::fileNew(): Not implemented yet");
}

void MainWindowClientDescGen::fileOpen()
{
    qWarning("MainWindowClientDescGen::fileOpen(): Not implemented yet");
}

void MainWindowClientDescGen::fileSave()
{
    qWarning("MainWindowClientDescGen::fileSave(): Not implemented yet");
}

void MainWindowClientDescGen::fileSaveAs()
{
    qWarning("MainWindowClientDescGen::fileSaveAs(): Not implemented yet");
}

void MainWindowClientDescGen::fileExit()
{
    qWarning("MainWindowClientDescGen::fileExit(): Not implemented yet");
}

void MainWindowClientDescGen::browsePath()
{
    qWarning("MainWindowClientDescGen::browsePath(): Not implemented yet");
}

void MainWindowClientDescGen::checkClientName()
{
    qWarning("MainWindowClientDescGen::checkClientName(): Not implemented yet");
}

void MainWindowClientDescGen::checkClientPath()
{
    qWarning("MainWindowClientDescGen::checkClientPath(): Not implemented yet");
}

void MainWindowClientDescGen::closeEvent( QCloseEvent *)
{
    qWarning("MainWindowClientDescGen::closeEvent( QCloseEvent *): Not implemented yet");
}

void MainWindowClientDescGen::addFlow()
{
    qWarning("MainWindowClientDescGen::addFlow(): Not implemented yet");
}

void MainWindowClientDescGen::deleteFlow()
{
    qWarning("MainWindowClientDescGen::deleteFlow(): Not implemented yet");
}

void MainWindowClientDescGen::editFlow()
{
    qWarning("MainWindowClientDescGen::editFlow(): Not implemented yet");
}

void MainWindowClientDescGen::enableDeleteAndEditButtons()
{
    qWarning("MainWindowClientDescGen::enableDeleteAndEditButtons(): Not implemented yet");
}

void MainWindowClientDescGen::disableDeleteAndEditButtons()
{
    qWarning("MainWindowClientDescGen::disableDeleteAndEditButtons(): Not implemented yet");
}

void MainWindowClientDescGen::helpAbout()
{
    qWarning("MainWindowClientDescGen::helpAbout(): Not implemented yet");
}

void MainWindowClientDescGen::helpOverview()
{
    qWarning("MainWindowClientDescGen::helpOverview(): Not implemented yet");
}

void MainWindowClientDescGen::init()
{
}

void MainWindowClientDescGen::enableSave()
{
    qWarning("MainWindowClientDescGen::enableSave(): Not implemented yet");
}

bool MainWindowClientDescGen::readClientFile(QString)
{
    qWarning("MainWindowClientDescGen::readClientFile(QString): Not implemented yet");
    return false;
}

bool MainWindowClientDescGen::writeClientFile( QString &)
{
    qWarning("MainWindowClientDescGen::writeClientFile( QString &): Not implemented yet");
    return false;
}

void MainWindowClientDescGen::clearAllFields()
{
    qWarning("MainWindowClientDescGen::clearAllFields(): Not implemented yet");
}

void MainWindowClientDescGen::addFlowInListView(QString,QString,int)
{
    qWarning("MainWindowClientDescGen::addFlowInListView(QString,QString,int): Not implemented yet");
}

bool MainWindowClientDescGen::flowNameExists(QString)
{
    qWarning("MainWindowClientDescGen::flowNameExists(QString): Not implemented yet");
    return false;
}

