#ifndef MAINWINDOWCLIENTDESCGEN_H
#define MAINWINDOWCLIENTDESCGEN_H

#include <QtGui/QGroupBox>
#include <QtGui/QTreeWidget>
#include <QtGui/QHeaderView>
#include <QtGui/QMainWindow>
#include <QtGui/QToolBar>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QMenu>
#include <QtGui/QMenuBar>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QToolButton>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

class Ui_MainWindowClientDescGen
{
public:
    QAction *fileNewAction;
    QAction *fileOpenAction;
    QAction *fileSaveAction;
    QAction *fileSaveAsAction;
    QAction *fileExitAction;
    QAction *Action;
    QAction *helpAboutAction;
    QAction *helpOverviewAction;
    QWidget *widget;
    QHBoxLayout *hboxLayout;
    QVBoxLayout *vboxLayout;
    QGroupBox *ClientGroupBox;
    QHBoxLayout *hboxLayout1;
    QGridLayout *gridLayout;
    QLineEdit *ClientNameLineEdit;
    QLabel *textLabel1;
    QLabel *textLabel2;
    QHBoxLayout *hboxLayout2;
    QLineEdit *ClientPathLineEdit;
    QToolButton *ClientPathBrowseButton;
    QGroupBox *groupBox6;
    QHBoxLayout *hboxLayout3;
    QVBoxLayout *vboxLayout1;
    QTreeWidget *flowListView;
    QHBoxLayout *hboxLayout4;
    QPushButton *AddFlowButton;
    QSpacerItem *spacerItem;
    QPushButton *DeleteFlowButton;
    QSpacerItem *spacerItem1;
    QPushButton *EditFlowButton;
    QToolBar *toolBar;
    QMenu *fileMenu;
    QMenu *Help;
	
    void setupUi(QMainWindow *MainWindowClientDescGen)
    {
		if (MainWindowClientDescGen->objectName().isEmpty())
			MainWindowClientDescGen->setObjectName(QString::fromUtf8("MainWindowClientDescGen"));
		MainWindowClientDescGen->resize(419, 442);
		fileNewAction = new QAction(MainWindowClientDescGen);
		fileNewAction->setObjectName(QString::fromUtf8("fileNewAction"));
		fileNewAction->setName("fileNewAction");
		fileNewAction->setIcon(QIcon(":/images/fileNew.xpm"));
		fileOpenAction = new QAction(MainWindowClientDescGen);
		fileOpenAction->setObjectName(QString::fromUtf8("fileOpenAction"));
		fileOpenAction->setName("fileOpenAction");
		fileOpenAction->setIcon(QIcon(":/images/fileOpen.xpm"));
		fileSaveAction = new QAction(MainWindowClientDescGen);
		fileSaveAction->setObjectName(QString::fromUtf8("fileSaveAction"));
		fileSaveAction->setName("fileSaveAction");
		fileSaveAction->setIcon(QIcon(":/images/fileSave.xpm"));
		fileSaveAsAction = new QAction(MainWindowClientDescGen);
		fileSaveAsAction->setObjectName(QString::fromUtf8("fileSaveAsAction"));
		fileSaveAsAction->setName("fileSaveAsAction");
		fileSaveAsAction->setIcon(QIcon(":/images/fileSaveAs.xpm"));
		fileExitAction = new QAction(MainWindowClientDescGen);
		fileExitAction->setObjectName(QString::fromUtf8("fileExitAction"));
		fileExitAction->setName("fileExitAction");
		Action = new QAction(MainWindowClientDescGen);
		Action->setObjectName(QString::fromUtf8("Action"));
		Action->setName("Action");
		helpAboutAction = new QAction(MainWindowClientDescGen);
		helpAboutAction->setObjectName(QString::fromUtf8("helpAboutAction"));
		helpAboutAction->setName("helpAboutAction");
		helpOverviewAction = new QAction(MainWindowClientDescGen);
		helpOverviewAction->setObjectName(QString::fromUtf8("helpOverviewAction"));
		helpOverviewAction->setName("helpOverviewAction");
		widget = new QWidget(MainWindowClientDescGen);
		widget->setObjectName(QString::fromUtf8("widget"));
		hboxLayout = new QHBoxLayout(widget);
		hboxLayout->setSpacing(6);
		hboxLayout->setMargin(11);
		hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
		hboxLayout->setContentsMargins(0, 0, 0, 0);
		vboxLayout = new QVBoxLayout();
		vboxLayout->setSpacing(6);
		vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
		ClientGroupBox = new QGroupBox(widget);
		ClientGroupBox->setObjectName(QString::fromUtf8("ClientGroupBox"));
		//ClientGroupBox->setColumnLayout(0, Qt::Vertical);
		QVBoxLayout *theLayout = new QVBoxLayout;
		ClientGroupBox->setLayout(theLayout);
		ClientGroupBox->layout()->setSpacing(6);
		ClientGroupBox->layout()->setMargin(11);
		hboxLayout1 = new QHBoxLayout();
		QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(ClientGroupBox->layout());
		if (boxlayout)
			boxlayout->addLayout(hboxLayout1);
		hboxLayout1->setAlignment(Qt::AlignTop);
		hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
		gridLayout = new QGridLayout();
		gridLayout->setSpacing(6);
		gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
		ClientNameLineEdit = new QLineEdit(ClientGroupBox);
		ClientNameLineEdit->setObjectName(QString::fromUtf8("ClientNameLineEdit"));
		
		gridLayout->addWidget(ClientNameLineEdit, 0, 1, 1, 1);
		
		textLabel1 = new QLabel(ClientGroupBox);
		textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
		textLabel1->setWordWrap(false);
		
		gridLayout->addWidget(textLabel1, 0, 0, 1, 1);
		
		textLabel2 = new QLabel(ClientGroupBox);
		textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
		textLabel2->setWordWrap(false);
		
		gridLayout->addWidget(textLabel2, 1, 0, 1, 1);
		
		hboxLayout2 = new QHBoxLayout();
		hboxLayout2->setSpacing(6);
		hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
		ClientPathLineEdit = new QLineEdit(ClientGroupBox);
		ClientPathLineEdit->setObjectName(QString::fromUtf8("ClientPathLineEdit"));
		
		hboxLayout2->addWidget(ClientPathLineEdit);
		
		ClientPathBrowseButton = new QToolButton(ClientGroupBox);
		ClientPathBrowseButton->setObjectName(QString::fromUtf8("ClientPathBrowseButton"));
		
		hboxLayout2->addWidget(ClientPathBrowseButton);
		
		
		gridLayout->addLayout(hboxLayout2, 1, 1, 1, 1);
		
		
		hboxLayout1->addLayout(gridLayout);
		
		
		vboxLayout->addWidget(ClientGroupBox);
		
		groupBox6 = new QGroupBox(widget);
		groupBox6->setObjectName(QString::fromUtf8("groupBox6"));
		//groupBox6->setColumnLayout(0, Qt::Vertical);
		QVBoxLayout *theLayout2 = new QVBoxLayout;
		groupBox6->setLayout(theLayout2);
		groupBox6->layout()->setSpacing(6);
		groupBox6->layout()->setMargin(11);
		hboxLayout3 = new QHBoxLayout();
		QBoxLayout *boxlayout1 = qobject_cast<QBoxLayout *>(groupBox6->layout());
		if (boxlayout1)
			boxlayout1->addLayout(hboxLayout3);
		hboxLayout3->setAlignment(Qt::AlignTop);
		hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
		vboxLayout1 = new QVBoxLayout();
		vboxLayout1->setSpacing(6);
		vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
		
		flowListView = new QTreeWidget(groupBox6);
		flowListView->setColumnCount(1);
		QStringList theLabel;
		theLabel << "Name" << "Direction" << "Type";
		flowListView->setHeaderLabels(theLabel);
		flowListView->header()->setMovable(false);
		flowListView->header()->setResizeMode(0, QHeaderView::Interactive);
		flowListView->header()->setResizeMode(1, QHeaderView::Interactive);
		flowListView->header()->setResizeMode(2, QHeaderView::Interactive);
		flowListView->setRootIsDecorated ( false );
		
		vboxLayout1->addWidget(flowListView);
		
		hboxLayout4 = new QHBoxLayout();
		hboxLayout4->setSpacing(6);
		hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
		AddFlowButton = new QPushButton(groupBox6);
		AddFlowButton->setObjectName(QString::fromUtf8("AddFlowButton"));
		
		hboxLayout4->addWidget(AddFlowButton);
		
		spacerItem = new QSpacerItem(21, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);
		
		hboxLayout4->addItem(spacerItem);
		
		DeleteFlowButton = new QPushButton(groupBox6);
		DeleteFlowButton->setObjectName(QString::fromUtf8("DeleteFlowButton"));
		
		hboxLayout4->addWidget(DeleteFlowButton);
		
		spacerItem1 = new QSpacerItem(31, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);
		
		hboxLayout4->addItem(spacerItem1);
		
		EditFlowButton = new QPushButton(groupBox6);
		EditFlowButton->setObjectName(QString::fromUtf8("EditFlowButton"));
		
		hboxLayout4->addWidget(EditFlowButton);
		
		
		vboxLayout1->addLayout(hboxLayout4);
		
		
		hboxLayout3->addLayout(vboxLayout1);
		
		
		vboxLayout->addWidget(groupBox6);
		
		
		hboxLayout->addLayout(vboxLayout);
		
		MainWindowClientDescGen->setCentralWidget(widget);
		
		toolBar = MainWindowClientDescGen->addToolBar("ToolBar");
		
		fileMenu = MainWindowClientDescGen->menuBar()->addMenu("&File");
		
		Help = MainWindowClientDescGen->menuBar()->addMenu("&Help");
		
		textLabel1->setBuddy(ClientNameLineEdit);
		textLabel2->setBuddy(ClientPathLineEdit);
		QWidget::setTabOrder(ClientNameLineEdit, ClientPathLineEdit);
		QWidget::setTabOrder(ClientPathLineEdit, flowListView);
		QWidget::setTabOrder(flowListView, AddFlowButton);
		QWidget::setTabOrder(AddFlowButton, DeleteFlowButton);
		QWidget::setTabOrder(DeleteFlowButton, EditFlowButton);
		
		toolBar->addAction(fileNewAction);
		toolBar->addAction(fileOpenAction);
		toolBar->addAction(fileSaveAction);
		toolBar->addAction(fileSaveAsAction);
		
		fileMenu->addAction(fileNewAction);
		fileMenu->addAction(fileOpenAction);
		fileMenu->addSeparator();
		fileMenu->addAction(fileSaveAction);
		fileMenu->addAction(fileSaveAsAction);
		fileMenu->addSeparator();
		fileMenu->addAction(fileExitAction);
		
		Help->addAction(helpOverviewAction);
		Help->addAction(helpAboutAction);
		
		retranslateUi(MainWindowClientDescGen);
		QObject::connect(fileNewAction, SIGNAL(triggered()), MainWindowClientDescGen, SLOT(fileNew()));
		QObject::connect(fileOpenAction, SIGNAL(triggered()), MainWindowClientDescGen, SLOT(fileOpen()));
		QObject::connect(fileSaveAction, SIGNAL(triggered()), MainWindowClientDescGen, SLOT(fileSave()));
		QObject::connect(fileSaveAsAction, SIGNAL(triggered()), MainWindowClientDescGen, SLOT(fileSaveAs()));
		QObject::connect(fileExitAction, SIGNAL(triggered()), MainWindowClientDescGen, SLOT(fileExit()));
		QObject::connect(ClientPathBrowseButton, SIGNAL(clicked()), MainWindowClientDescGen, SLOT(browsePath()));
		QObject::connect(ClientNameLineEdit, SIGNAL(textChanged(QString)), MainWindowClientDescGen, SLOT(checkClientName()));
		QObject::connect(ClientPathLineEdit, SIGNAL(textChanged(QString)), MainWindowClientDescGen, SLOT(checkClientPath()));
		QObject::connect(AddFlowButton, SIGNAL(clicked()), MainWindowClientDescGen, SLOT(addFlow()));
		QObject::connect(DeleteFlowButton, SIGNAL(clicked()), MainWindowClientDescGen, SLOT(deleteFlow()));
		QObject::connect(EditFlowButton, SIGNAL(clicked()), MainWindowClientDescGen, SLOT(editFlow()));
		QObject::connect(flowListView, SIGNAL(itemClicked(QTreeWidgetItem *, int)), MainWindowClientDescGen, SLOT(enableDeleteAndEditButtons()));
		QObject::connect(helpAboutAction, SIGNAL(triggered()), MainWindowClientDescGen, SLOT(helpAbout()));
		QObject::connect(helpOverviewAction, SIGNAL(triggered()), MainWindowClientDescGen, SLOT(helpOverview()));
		
		QMetaObject::connectSlotsByName(MainWindowClientDescGen);
    } // setupUi
	
    void retranslateUi(QMainWindow *MainWindowClientDescGen)
    {
		MainWindowClientDescGen->setWindowTitle(QApplication::translate("MainWindowClientDescGen", "Client Description Generator", 0, QApplication::UnicodeUTF8));
		fileNewAction->setIconText(QApplication::translate("MainWindowClientDescGen", "New", 0, QApplication::UnicodeUTF8));
		fileNewAction->setText(QApplication::translate("MainWindowClientDescGen", "&New", 0, QApplication::UnicodeUTF8));
		fileNewAction->setShortcut(QApplication::translate("MainWindowClientDescGen", "Ctrl+N", 0, QApplication::UnicodeUTF8));
		fileOpenAction->setIconText(QApplication::translate("MainWindowClientDescGen", "Open", 0, QApplication::UnicodeUTF8));
		fileOpenAction->setText(QApplication::translate("MainWindowClientDescGen", "&Open...", 0, QApplication::UnicodeUTF8));
		fileOpenAction->setShortcut(QApplication::translate("MainWindowClientDescGen", "Ctrl+O", 0, QApplication::UnicodeUTF8));
		fileSaveAction->setIconText(QApplication::translate("MainWindowClientDescGen", "Save", 0, QApplication::UnicodeUTF8));
		fileSaveAction->setText(QApplication::translate("MainWindowClientDescGen", "&Save", 0, QApplication::UnicodeUTF8));
		fileSaveAction->setShortcut(QApplication::translate("MainWindowClientDescGen", "Ctrl+S", 0, QApplication::UnicodeUTF8));
		fileSaveAsAction->setIconText(QApplication::translate("MainWindowClientDescGen", "Save As", 0, QApplication::UnicodeUTF8));
		fileSaveAsAction->setText(QApplication::translate("MainWindowClientDescGen", "Save &As...", 0, QApplication::UnicodeUTF8));
		fileSaveAsAction->setShortcut(QString());
		fileExitAction->setIconText(QApplication::translate("MainWindowClientDescGen", "Exit", 0, QApplication::UnicodeUTF8));
		fileExitAction->setText(QApplication::translate("MainWindowClientDescGen", "E&xit", 0, QApplication::UnicodeUTF8));
		fileExitAction->setShortcut(QString());
		Action->setIconText(QApplication::translate("MainWindowClientDescGen", "Unnamed", 0, QApplication::UnicodeUTF8));
		helpAboutAction->setIconText(QApplication::translate("MainWindowClientDescGen", "&About", 0, QApplication::UnicodeUTF8));
		helpAboutAction->setText(QApplication::translate("MainWindowClientDescGen", "&About", 0, QApplication::UnicodeUTF8));
		helpOverviewAction->setIconText(QApplication::translate("MainWindowClientDescGen", "&Overview", 0, QApplication::UnicodeUTF8));
		helpOverviewAction->setText(QApplication::translate("MainWindowClientDescGen", "&Overview", 0, QApplication::UnicodeUTF8));
		ClientGroupBox->setTitle(QApplication::translate("MainWindowClientDescGen", "Client", 0, QApplication::UnicodeUTF8));
		textLabel1->setText(QApplication::translate("MainWindowClientDescGen", "Name", 0, QApplication::UnicodeUTF8));
		textLabel2->setText(QApplication::translate("MainWindowClientDescGen", "Path", 0, QApplication::UnicodeUTF8));
		ClientPathBrowseButton->setText(QApplication::translate("MainWindowClientDescGen", "...", 0, QApplication::UnicodeUTF8));
		groupBox6->setTitle(QApplication::translate("MainWindowClientDescGen", "Flows Description", 0, QApplication::UnicodeUTF8));
		AddFlowButton->setText(QApplication::translate("MainWindowClientDescGen", "&Add Flow", 0, QApplication::UnicodeUTF8));
		AddFlowButton->setShortcut(QApplication::translate("MainWindowClientDescGen", "Alt+A", 0, QApplication::UnicodeUTF8));
		DeleteFlowButton->setText(QApplication::translate("MainWindowClientDescGen", "&Delete Flow", 0, QApplication::UnicodeUTF8));
		DeleteFlowButton->setShortcut(QApplication::translate("MainWindowClientDescGen", "Alt+D", 0, QApplication::UnicodeUTF8));
		EditFlowButton->setText(QApplication::translate("MainWindowClientDescGen", "&Edit Flow", 0, QApplication::UnicodeUTF8));
		EditFlowButton->setShortcut(QApplication::translate("MainWindowClientDescGen", "Alt+E", 0, QApplication::UnicodeUTF8));
		toolBar->setLabel(QApplication::translate("MainWindowClientDescGen", "Tools", 0, QApplication::UnicodeUTF8));
		fileMenu->setTitle(QApplication::translate("MainWindowClientDescGen", "&File", 0, QApplication::UnicodeUTF8));
		Help->setTitle(QApplication::translate("MainWindowClientDescGen", "&Help", 0, QApplication::UnicodeUTF8));
    } // retranslateUi
	
};

namespace Ui {
    class MainWindowClientDescGen: public Ui_MainWindowClientDescGen {};
} // namespace Ui

class MainWindowClientDescGen : public QMainWindow, public Ui::MainWindowClientDescGen
{
    Q_OBJECT
	
public:
    MainWindowClientDescGen(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = Qt::WType_TopLevel);
    ~MainWindowClientDescGen();
	
    bool needSave;
	
    virtual void init();
    virtual bool writeClientFile( QString & fileName );
    virtual bool flowNameExists( QString name );
	
public slots:
	virtual void fileNew();
    virtual void fileOpen();
    virtual void fileSave();
    virtual void fileSaveAs();
    virtual void fileExit();
    virtual void browsePath();
    virtual void checkClientName();
    virtual void checkClientPath();
    virtual void closeEvent( QCloseEvent * e );
    virtual void addFlow();
    virtual void deleteFlow();
    virtual void editFlow();
    virtual void enableDeleteAndEditButtons();
    virtual void disableDeleteAndEditButtons();
    virtual void helpAbout();
    virtual void helpOverview();
	
protected:
	bool clientPathOK;
    bool clientNameOK;
    QString clientName;
    QString clientPath;
    QString clientFileName;
    QString currentDir;
	
    virtual bool readClientFile( QString fileName );
    virtual void clearAllFields();
    virtual void addFlowInListView( QString flowName, QString flowType, int direction );
	
protected slots:
	virtual void languageChange();
	
private:
	virtual void enableSave();
	
};

#endif // MAINWINDOWCLIENTDESCGEN_H
