#ifndef ADDCLIENTTOOLBASE_H
#define ADDCLIENTTOOLBASE_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHBoxLayout>
#include <QtGui/QSpacerItem>
#include <QtGui/QToolBox>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

class Ui_AddClientToolBase
{
public:
    QVBoxLayout *vboxLayout;
    QVBoxLayout *vboxLayout1;
    QToolBox *clientListToolBox;
    QWidget *clientListTab;
    QHBoxLayout *hboxLayout;
    QVBoxLayout *vboxLayout2;
    //QVBoxLayout *vboxLayout3;
    //QSpacerItem *spacerItem;
    
	
    void setupUi(QDialog *AddClientToolBase)
    {
		if (AddClientToolBase->objectName().isEmpty())
			AddClientToolBase->setObjectName(QString::fromUtf8("AddClientToolBase"));
		AddClientToolBase->resize(100, 100);
		QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
		sizePolicy.setHorizontalStretch(0);
		sizePolicy.setVerticalStretch(0);
		sizePolicy.setHeightForWidth(AddClientToolBase->sizePolicy().hasHeightForWidth());
		AddClientToolBase->setSizePolicy(sizePolicy);
		AddClientToolBase->setMinimumSize(QSize(0, 0));
		vboxLayout = new QVBoxLayout(AddClientToolBase);
		vboxLayout->setSpacing(0);
		vboxLayout->setMargin(0);
		vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
		//CHANGED FROM FIXED TO MINIMUM
		vboxLayout->setResizeMode(QVBoxLayout::Minimum);
		vboxLayout1 = new QVBoxLayout();
		vboxLayout1->setSpacing(6);
		vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
		clientListToolBox = new QToolBox(AddClientToolBase);
		clientListToolBox->setObjectName(QString::fromUtf8("clientListToolBox"));
		clientListTab = new QWidget();
		clientListTab->setObjectName(QString::fromUtf8("clientListTab"));
		
		clientListTab->setContentsMargins(0,0,0,0);
		
		hboxLayout = new QHBoxLayout(clientListTab);
		hboxLayout->setSpacing(0);
		hboxLayout->setMargin(0);
		hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
		vboxLayout2 = new QVBoxLayout();
		vboxLayout2->setSpacing(6);
		vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
		// vboxLayout3 = new QVBoxLayout();
		//vboxLayout3->setSpacing(0);
		//vboxLayout3->setMargin(0);
		//vboxLayout3->setObjectName(QString::fromUtf8("vboxLayout3"));
		
		//vboxLayout2->addLayout(vboxLayout3);
		
		//spacerItem = new QSpacerItem(20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding);
		
		//vboxLayout2->addItem(spacerItem);
		
		
		hboxLayout->addLayout(vboxLayout2);
		
		clientListToolBox->addItem(clientListTab, QApplication::translate("AddClientToolBase", "Client List", 0, QApplication::UnicodeUTF8));
		
		vboxLayout1->addWidget(clientListToolBox);
		
		
		vboxLayout->addLayout(vboxLayout1);
		
		
		retranslateUi(AddClientToolBase);
		
		clientListToolBox->setCurrentIndex(0);
		
		
		QMetaObject::connectSlotsByName(AddClientToolBase);
    } // setupUi
	
    void retranslateUi(QDialog *AddClientToolBase)
    {
		AddClientToolBase->setWindowTitle(QApplication::translate("AddClientToolBase", "Add a client...", 0, QApplication::UnicodeUTF8));
		clientListToolBox->setItemText(clientListToolBox->indexOf(clientListTab), QApplication::translate("AddClientToolBase", "Client List", 0, QApplication::UnicodeUTF8));
		Q_UNUSED(AddClientToolBase);
    } // retranslateUi
	
};

namespace Ui {
    class AddClientToolBase: public Ui_AddClientToolBase {};
} // namespace Ui

class AddClientToolBase : public QDialog, public Ui::AddClientToolBase
{
    Q_OBJECT
	
public:
    AddClientToolBase(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~AddClientToolBase();
	
	protected slots:
		virtual void languageChange();
	
};

#endif // ADDCLIENTTOOLBASE_H
