#ifndef _APPLICATIONMONITOR_H
#define _APPLICATIONMONITOR_H

#include "ApplicationMonitorBase.h"

#include <QtGui/QWidget>

class ApplicationMonitor : public ApplicationMonitorBase {
	Q_OBJECT
public:
	ApplicationMonitor( QWidget* parent = 0, const char* name = 0, Qt::WFlags fl = 0 );
	~ApplicationMonitor();
	
	void refreshServerView();
	void refreshClientView();
	void refreshFlowView();
	void refreshAllView();
	
	void clearAllView();
	void clearFlowView();
	void clearServerView();
	void clearClientView();
	
};

#endif

