#ifndef _CLIENTEDITOR_H
#define _CLIENTEDITOR_H

#include "ClientEditorBase.h"
#include "model/Client.h"

class ClientEditor : public ClientEditorBase {
    Q_OBJECT
public:
    ClientEditor( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, Qt::WFlags fl = 0 );
    ~ClientEditor();
    void enableOKButton();
    
    ClientConf *tmp_client;

public slots:
    virtual void accept();
    void browseClient();
    void checkClient();
    void notApproved();
    
private:
    bool clientApproved;
};

#endif
