#ifndef _CLIENTPATHEDITOR_H
#define _CLIENTPATHEDITOR_H

#include "ClientPathEditorBase.h"
#include "model/Client.h"
#include "dialog/ConfigurationClientList.h"


class ClientPathEditor : public ClientPathEditorBase {
  Q_OBJECT
 public:
  ClientPathEditor(ConfigurationClientList* parent, ClientConf* cc);
  ~ClientPathEditor();
  QString getNewPath();
  
protected slots:
  void browsePath();
  void pathIsOk(const QString &s);
  
 private:
  ClientConf *theClient;
 
};
#endif
