#include "ClientPathEditorBase.h"

#include <QtCore/QVariant>
#include <QtGui/QPixmap>

/*
 *  Constructs a ClientPathEditorBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  true to construct a modal dialog.
 */
ClientPathEditorBase::ClientPathEditorBase(QWidget* parent, const char* name, bool modal, Qt::WindowFlags fl)
    : QDialog(parent, name, modal, fl)
{
    setupUi(this);

}

/*
 *  Destroys the object and frees any allocated resources
 */
ClientPathEditorBase::~ClientPathEditorBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ClientPathEditorBase::languageChange()
{
    retranslateUi(this);
}

void ClientPathEditorBase::browsePath()
{
    qWarning("ClientPathEditorBase::browsePath(): Not implemented yet");
}

void ClientPathEditorBase::pathIsOk( const QString &)
{
    qWarning("ClientPathEditorBase::pathIsOk( const QString &): Not implemented yet");
}

