#ifndef FLOWINFORMATIONBASE_H
#define FLOWINFORMATIONBASE_H

#include <QtCore/QVariant>
#include <QtGui/QApplication>
#include <QtGui/QGroupBox>
#include <QtGui/QAction>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

class Ui_FlowInformationBase
{
public:
    QHBoxLayout *hboxLayout;
    QVBoxLayout *vboxLayout;
    QGroupBox *groupBox43;
    QVBoxLayout *vboxLayout1;
    QGridLayout *gridLayout;
    QLineEdit *nameLineEdit;
    QLineEdit *typeLineEdit;
    QLabel *textLabel10;
    QLineEdit *groupLineEdit;
    QLabel *textLabel11;
    QLabel *textLabel9;
    QSpacerItem *spacerItem;
    QHBoxLayout *hboxLayout1;
    QSpacerItem *spacerItem1;
    QPushButton *OkButton;
    QSpacerItem *spacerItem2;
	
    void setupUi(QDialog *FlowInformationBase)
    {
		if (FlowInformationBase->objectName().isEmpty())
			FlowInformationBase->setObjectName(QString::fromUtf8("FlowInformationBase"));
		FlowInformationBase->resize(346, 180);
		hboxLayout = new QHBoxLayout(FlowInformationBase);
		hboxLayout->setSpacing(6);
		hboxLayout->setMargin(11);
		hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
		vboxLayout = new QVBoxLayout();
		vboxLayout->setSpacing(6);
		vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
		groupBox43 = new QGroupBox(FlowInformationBase);
		groupBox43->setObjectName(QString::fromUtf8("groupBox43"));
		QVBoxLayout *theLayout = new QVBoxLayout;
		groupBox43->setLayout(theLayout);    
		groupBox43->layout()->setSpacing(6);
		groupBox43->layout()->setMargin(11);
		vboxLayout1 = new QVBoxLayout();
		QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(groupBox43->layout());
		if (boxlayout)
			boxlayout->addLayout(vboxLayout1);
		vboxLayout1->setAlignment(Qt::AlignTop);
		vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
		gridLayout = new QGridLayout();
		gridLayout->setSpacing(6);
		gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
		nameLineEdit = new QLineEdit(groupBox43);
		nameLineEdit->setObjectName(QString::fromUtf8("nameLineEdit"));
		
		gridLayout->addWidget(nameLineEdit, 0, 1, 1, 1);
		
		typeLineEdit = new QLineEdit(groupBox43);
		typeLineEdit->setObjectName(QString::fromUtf8("typeLineEdit"));
		
		gridLayout->addWidget(typeLineEdit, 1, 1, 1, 1);
		
		textLabel10 = new QLabel(groupBox43);
		textLabel10->setObjectName(QString::fromUtf8("textLabel10"));
		textLabel10->setWordWrap(false);
		
		gridLayout->addWidget(textLabel10, 1, 0, 1, 1);
		
		groupLineEdit = new QLineEdit(groupBox43);
		groupLineEdit->setObjectName(QString::fromUtf8("groupLineEdit"));
		
		gridLayout->addWidget(groupLineEdit, 2, 1, 1, 1);
		
		textLabel11 = new QLabel(groupBox43);
		textLabel11->setObjectName(QString::fromUtf8("textLabel11"));
		textLabel11->setWordWrap(false);
		
		gridLayout->addWidget(textLabel11, 2, 0, 1, 1);
		
		textLabel9 = new QLabel(groupBox43);
		textLabel9->setObjectName(QString::fromUtf8("textLabel9"));
		textLabel9->setWordWrap(false);
		
		gridLayout->addWidget(textLabel9, 0, 0, 1, 1);
		
		
		vboxLayout1->addLayout(gridLayout);
		
		
		vboxLayout->addWidget(groupBox43);
		
		spacerItem = new QSpacerItem(20, 245, QSizePolicy::Minimum, QSizePolicy::Expanding);
		
		vboxLayout->addItem(spacerItem);
		
		hboxLayout1 = new QHBoxLayout();
		hboxLayout1->setSpacing(6);
		hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
		spacerItem1 = new QSpacerItem(61, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);
		
		hboxLayout1->addItem(spacerItem1);
		
		OkButton = new QPushButton(FlowInformationBase);
		OkButton->setObjectName(QString::fromUtf8("OkButton"));
		
		hboxLayout1->addWidget(OkButton);
		
		spacerItem2 = new QSpacerItem(81, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);
		
		hboxLayout1->addItem(spacerItem2);
		
		
		vboxLayout->addLayout(hboxLayout1);
		
		
		hboxLayout->addLayout(vboxLayout);
		
		QWidget::setTabOrder(OkButton, nameLineEdit);
		QWidget::setTabOrder(nameLineEdit, typeLineEdit);
		QWidget::setTabOrder(typeLineEdit, groupLineEdit);
		
		retranslateUi(FlowInformationBase);
		QObject::connect(OkButton, SIGNAL(clicked()), FlowInformationBase, SLOT(accept()));
		
		QMetaObject::connectSlotsByName(FlowInformationBase);
    } // setupUi
	
    void retranslateUi(QDialog *FlowInformationBase)
    {
		FlowInformationBase->setWindowTitle(QApplication::translate("FlowInformationBase", "Flow Information", 0, QApplication::UnicodeUTF8));
		groupBox43->setTitle(QApplication::translate("FlowInformationBase", "Flow", 0, QApplication::UnicodeUTF8));
		textLabel10->setText(QApplication::translate("FlowInformationBase", "Type", 0, QApplication::UnicodeUTF8));
		textLabel11->setText(QApplication::translate("FlowInformationBase", "Connection ID", 0, QApplication::UnicodeUTF8));
		textLabel9->setText(QApplication::translate("FlowInformationBase", "Name", 0, QApplication::UnicodeUTF8));
		OkButton->setText(QApplication::translate("FlowInformationBase", "&OK", 0, QApplication::UnicodeUTF8));
		OkButton->setShortcut(QApplication::translate("FlowInformationBase", "Alt+O", 0, QApplication::UnicodeUTF8));
		Q_UNUSED(FlowInformationBase);
    } // retranslateUi
	
};

namespace Ui {
    class FlowInformationBase: public Ui_FlowInformationBase {};
} // namespace Ui

class FlowInformationBase : public QDialog, public Ui::FlowInformationBase
{
    Q_OBJECT
	
public:
    FlowInformationBase(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~FlowInformationBase();
	
protected slots:
	virtual void languageChange();
	
};

#endif // FLOWINFORMATIONBASE_H
