#ifndef _CHECKSMARTFLOWMODIFICATIONS_H
#define _CHECKSMARTFLOWMODIFICATIONS_H

#include "Smartflow.h"
#include "GlobalCC.h"
#include "SfControl.h"

#include <QtCore/QThread>
#include <QtCore/QMutex>

class CheckSmartflowModifications : public QThread {
public:
	CheckSmartflowModifications(smartflow::Smartflow *_sf, QMutex *m, GlobalCC *g, SfControl *_sfcontrol);
	~CheckSmartflowModifications();
	
	void stop_work();
	
protected:
	void run();
	
private:
	smartflow::Smartflow *sf;
	QMutex *mutex;
	GlobalCC *global;
	SfControl *control;
	bool keepRunnning;
};

#endif
