#ifndef _DUPLICATOR_H
#define _DUPLICATOR_H

#include "GlobalCC.h"
#include <QtCore/QString>

class Duplicator : public GlobalObject {
public:
	Duplicator(GlobalCC *g, QString _flowID, QString _serverName);
	Duplicator(GlobalCC *g);
	~Duplicator();
	
	void setFlowID(QString _flowID);
	void setServerName(QString _serverName);
	
	QString& getFlowID();
	QString& getServerName();
	
	bool hasLog() { return has_log; }
	void addLogLine(QString l);
	void setLog(bool l);
	
	void print();
	
private:
	bool has_log;
	QString flowID;
	QString serverName;
};

#endif
