# QMake project file for Smarflow2

include(sf2.pro.inc)

TEMPLATE   = subdirs

CONFIG    += sf2core sf2admin sf2utility sf2flows sf2clients sf2tools

CORE   	+= src/smartflow2
ADMIN  	+= src/admin
UTILITY	+= src/utility
FLOWS  	+= src/flows
CLIENTS	+= src/clients
TOOLS   += src/tools

sf2core {
          CONFIG  += $$CORE
          CONFIG  -= sf2core
          SUBDIRS += $$CORE
}

sf2admin {
          CONFIG  += $$ADMIN
          CONFIG -= sf2admin
          SUBDIRS += $$ADMIN
}

sf2utility {
          CONFIG  += $$UTILITY
          CONFIG  -= sf2utility
          SUBDIRS += $$UTILITY
}

sf2flows {
          CONFIG  += $$FLOWS
          CONFIG  -= sf2flows
          SUBDIRS += $$FLOWS
}

sf2clients {
          CONFIG  += $$CLIENTS
          CONFIG  -= sf2clients
          SUBDIRS += $$CLIENTS
}

sf2tools {
          CONFIG  += $$TOOLS
          CONFIG -= sf2tools
          SUBDIRS += $$TOOLS
}


