#ifndef _THREAD_SERVER_H
#define _THREAD_SERVER_H

#include "ace/OS.h"
#include "ace/SString.h"
#include "ace/Reactor.h"

class Thread_Server 
{	
	Thread_Server() {} ;
	~Thread_Server() {};
	public :
		static void *run_svc(void *);
};

class Thread_Args
{	
	public :
	Thread_Args(ACE_TString tospawn_) : spawn(tospawn_) {
		clientname = ACE_TEXT("");
		clientgroup = ACE_TEXT("");
	} ;
	//Constructor used for the launch of the client (we have two more parameters to send an error message in case of launch problem)
	Thread_Args(ACE_TString tospawn_, ACE_TString clientname_, ACE_TString clientgroup_) : spawn(tospawn_), clientname(clientname_), clientgroup(clientgroup_) {} ;
	~Thread_Args() {};
	ACE_TString spawn ;
	ACE_TString clientname ;
	ACE_TString clientgroup ;
};


#endif
