#ifndef _XML_PARSER_H
#define _XML_PARSER_H

#include <vector>

#include "ace/OS_main.h"

#include "ACEXML/parser/parser/Parser.h"
#include "ACEXML/common/FileCharStream.h"

#include "XML_SaxHandler.h"

class XML_Parser 
{
 public:
  XML_Parser(ACE_TString x);
  ~XML_Parser();
  ACEXML_DefaultHandler *handler;
  ACE_TString getInfos(ACE_TString s);
  
  std::vector<ACE_TString>& getLogMessages();
  
 private:
  ACE_TString xml;
  int parse(void);
};

#endif
