#include "LastModifications.h"

LastModifications::LastModifications()
{
	ACE_TRACE(ACE_TEXT("LastModifications::LastModifications"));
	init();
}

LastModifications::~LastModifications()
{
	ACE_TRACE(ACE_TEXT("LastModifications::~LastModifications"));
	fini();
}

int LastModifications::init()
{
	ACE_TRACE(ACE_TEXT("LastModifications::init"));
	clientlistmodifications = new ClientList();
	return 0;
}

int LastModifications::fini()
{
	ACE_TRACE(ACE_TEXT("LastModifications::fini"));
	return 0;
}

int LastModifications::addModifications(ACE_TString modif_)
{
	ACE_TRACE(ACE_TEXT("LastModifications::addModifications"));		
	for (CLIENT_ITERATOR ci = clientlistmodifications->first(); ci != clientlistmodifications->last(); ci++)
	{	 
		 (clientlistmodifications->fromIterator(ci))->addModifications(modif_); // (*ci).int_id_->addModifications(modif_);
	}	
	return 0;
}

int LastModifications::clear()
{
	ACE_TRACE(ACE_TEXT("LastModifications::clear"));	
	for (CLIENT_ITERATOR ci = clientlistmodifications->first(); ci != clientlistmodifications->last(); ci++)
	{	 
		 (clientlistmodifications->fromIterator(ci))->clear();
	}
	return 0;
}

int LastModifications::addClient(Client* client_)
{
	ACE_TRACE(ACE_TEXT("LastModifications::addClient"));
	clientlistmodifications->add(client_);		
	return 0;
}

int LastModifications::remove(ACE_TString clientid_)
{
	ACE_TRACE(ACE_TEXT("LastModifications::remove"));	
	clientlistmodifications->remove(clientid_);		
	return 0;
}
