#include "Server.h"

Server::Server(ACE_TString name_, ACE_TString ip_, ACE_TString os_)
{
	ACE_TRACE(ACE_TEXT("Server::Server"));
	init(name_, ip_, os_);
}

Server::~Server()
{
	ACE_TRACE(ACE_TEXT("Server::~Server"));
	fini();
}

int Server::init(ACE_TString name_, ACE_TString ip_, ACE_TString os_)
{
	ACE_TRACE(ACE_TEXT("Server::init"));

	name = name_;
	ip = ip_;
	os = os_;

	return 0;
}

int Server::fini()
{
	ACE_TRACE(ACE_TEXT("Server::fini"));
	
	return 0;
}

ACE_TString Server::getName()
{
	ACE_TRACE(ACE_TEXT("Server::getName"));
	
	return name;
}

ACE_TString Server::getIP()
{
	ACE_TRACE(ACE_TEXT("Server::getIP"));
	
	return ip;
}

ACE_TString Server::getOS()
{
	ACE_TRACE(ACE_TEXT("Server::getOS"));
	
	return os;
}

void Server::setHandler(Peer_Event_Handler* h_) 
{
	handler = h_;
}

Peer_Event_Handler* Server::getHandler() {
	return handler;
}