include(../../../sf2.pro.inc)
TEMPLATE     = app
CONFIG += console
 
DESTDIR      = $$SF2/bin/admin
LIBS        += $$SF2LIB -lACEXML -lACEXML_Parser
INCLUDEPATH += . $$SF2/src/smartflow2
OBJECTS_DIR  = $$OBJECTS_DIR/sf2d

QMAKE_CLEAN += $$SF2/bin/admin/sf2d*

SOURCES      = Acceptor_Event_Handler.cpp \
               Peer_Event_Handler.cpp \
               Local_Event_Handler.cpp \
               Multicast_Server_Events.cpp \
               list/Client.cpp \
               list/Flow.cpp \
               list/ClientList.cpp \
               list/FlowList.cpp \
               list/GlobalList.cpp \
               list/DuplicatorList.cpp \
	       list/Server.cpp \
               list/SocketList.cpp \
               list/ServerList.cpp \
               list/LastModifications.cpp \
               Thread_Server.cpp \
               XML_Parser.cpp \
               XML_SaxHandler.cpp \
               DuplicatorManager.cpp \
	       Log_Manager.cpp \
               sf2d.cpp

HEADERS      = Acceptor_Event_Handler.h \
               Peer_Event_Handler.h \
               Multicast_Server_Events.h \	
               list/Client.h \
               list/Flow.h \
               list/ClientList.h \
               list/FlowList.h \
               list/GlobalList.h \
               list/DuplicatorList.h \
	       list/Server.h \
               list/SocketList.h \
               list/ServerList.cpp \
               list/LastModifications.h \
               sf2d.h \
               Thread_Server.h \
               XML_Parser.h \
               XML_SaxHandler.h \
               DuplicatorManager.h \
	       Log_Manager.h \
               ../../smartflow2/sf2d_common_ACE.h
