#include <string>
#include <iostream>
#include <Smartflow.h>
#include <PreferenceManager.h>
#include <PreferenceManager_STL.h>
#include <Preference.h>
#include <Preference_XMLFile.h>
#include <Preference_Args.h>

using namespace smartflow;
using namespace std;

int main(int argc, char** argv) { 
  
  cout << "premier test" << endl;
  Smartflow  sf;
  sf.init(argc,argv);

  PreferenceManager *pf = sf.getPreferenceManager();
  if ( ! pf ) {
    cout << "Heeeeek ! No preference manager created !" << endl;
    return 1;
  }
  string  kt = "ktoto";
  string  vt = "vtoto";
  string  c1 = "com1";

  string  kt2 = "ktata";
  string  vt2 = "vtata";
  string  c2 = "com2";

  string aa = "ktiti";
  string bb = "vtiti";
  string c3 = "com3";
  
  pf->addPreference(kt,vt,c1);
  pf->addPreference(kt2,vt2,c2);
  pf->viewPrefs();

  cout << "deuxieme test" << endl;
  
  pf->addPreference(aa,bb,c3);
  cout << "deuxieme test b" << endl;
  pf->addPreference(kt2,bb);
  cout << "deuxieme test bis" << endl;
  pf->viewPrefs();
  cout << "deuxieme test bis bis" << endl;

  string cc = "ktoto";
  kt = "zo";
  string lapref = pf->getPreferenceValue(kt);
  cout << "la pref : " << lapref << endl;

  cout << "Key: " << cc << " Value: " << pf->getPreferenceValue(cc) << endl;

  pf->remPreference(aa);
  pf->remPreference(kt);

  pf->viewPrefs();
  cout << endl;

  Preference_XMLFile *pp = new Preference_XMLFile();
  pp->init(pf);
  string fichier = "jean";
  cout << "iop" << endl;
  pp->readPreferences(fichier);

  cout << endl;
  cout << "Les nouvelles preferences" << endl;
  pf->viewPrefs();
  

  string nom = "jean";
  pp->writePreferencesToXMLFile(nom);

  int i = 1;
  cout << pf->count();
  for( i=1 ; i <= pf->count(); i++ )
    cout << "num : " << i << " " << "value : " << pf->getPreferenceKey(i) << endl;

  

  Preference_Args *pa = new Preference_Args();
  pa->init(pf);
  pa->initPreferences(argc,argv);
  cout << "eh merde...." << endl;

  string chaine = "toto";
  string chaine2 = "-253.27";

  float ch1 = atof(chaine.c_str()); 
  float ch2 = atof(chaine2.c_str());
  
  cout << "chaine1 : " << ch1 << endl;
  cout << "chaine2 : " << ch2 << endl;

  string yo = "yoy";
  string yov = "25";

  string ya = "ya";
  string yav = "-25.98";

  string yu = "yu";
  string yuv = "yuv";


  pf->addPreference(yo,yov,ya);
  pf->addPreference(ya,yav);
  pf->addPreference(yu,yuv);


  cout << "Essai de conversion" << endl;
  cout << "chaine1 : " << yo << "Value : " << pf->getPreferenceValue(yo) << endl;
  cout << "chaine1 : " << yo << "Value : " << pf->getPreferenceIntValue(yo) << endl;
  cout << "chaine1 : " << yo << "Value : " << pf->getPreferenceFloatValue(yo) << endl;

  cout << "Essai de conversion" << endl;
  cout << "chaine2 : " << ya << "Value : " << pf->getPreferenceValue(ya) << endl;
  cout << "chaine2 : " << ya << "Value : " << pf->getPreferenceIntValue(ya) << endl;
  cout << "chaine2 : " << ya << "Value : " << pf->getPreferenceFloatValue(ya) << endl;
  
  cout << "Essai de conversion" << endl;
  cout << "chaine3 : " << yu << "Value : " << pf->getPreferenceValue(yu) << endl;
  cout << "chaine3 : " << yu << "Value : " << pf->getPreferenceIntValue(yu) << endl;
  cout << "chaine3 : " << yu << "Value : " << pf->getPreferenceFloatValue(yu) << endl;

  cout << endl;
  cout << "Voici la liste des preferences" << endl; 
  pf->viewPrefs();

  cout << "delete Preferences_XMLFile adresse : " << &pp << endl;
  delete pp;
  
  cout << "delete Preferences_Args adresse : " << &pa << endl;
  delete pa;

  cout << "fin du fichier test" << endl; 
  return 0;
}
