#ifndef _CLIENTAPPEDITOR_H
#define _CLIENTAPPEDITOR_H

#include "ClientAppEditorBase.h"
#include "model/GlobalCC.h"
#include "model/Client.h"
#include "model/Server.h"

class ClientAppEditor : public ClientAppEditorBase {
  Q_OBJECT
    public:
  ClientAppEditor(ClientConf *cc, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, Qt::WFlags fl = 0 );
  ClientAppEditor(ClientApp *ca, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, Qt::WFlags fl = 0 );
  ~ClientAppEditor();
   
  Server *getServer();
  QString& getParam();
  
public slots:
    void enableOkButton();
    void accept();

private:
    ClientConf *cconf;
    ClientApp *capp;
    Server *s;
    QString par;
  
    void initServerList();
};

#endif
