#include "ClientAppEditorBase.h"

#include <QtCore/QVariant>
#include <QtGui/QPixmap>

/*
 *  Constructs a ClientAppEditorBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  true to construct a modal dialog.
 */
ClientAppEditorBase::ClientAppEditorBase(QWidget* parent, const char* name, bool modal, Qt::WindowFlags fl)
    : QDialog(parent, name, modal, fl)
{
    setupUi(this);

}

/*
 *  Destroys the object and frees any allocated resources
 */
ClientAppEditorBase::~ClientAppEditorBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ClientAppEditorBase::languageChange()
{
    retranslateUi(this);
}

void ClientAppEditorBase::enableOkButton()
{
    qWarning("ClientAppEditorBase::enableOkButton(): Not implemented yet");
}

