#ifndef CLIENTAPPEDITORBASE_H
#define CLIENTAPPEDITORBASE_H

#include <QtCore/QVariant>
#include <QtGui/QGroupBox>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

class Ui_ClientAppEditorBase
{
public:
    QHBoxLayout *hboxLayout;
    QVBoxLayout *vboxLayout;
    QGroupBox *groupBox36;
    QHBoxLayout *hboxLayout1;
    QGridLayout *gridLayout;
    QLabel *textLabel7;
    QComboBox *clientServerComboBox;
    QLabel *textLabel8;
    QLabel *textLabel6;
    QLineEdit *clientParametersLineEdit;
    QLabel *clientNameTextLabel;
    QSpacerItem *spacerItem;
    QHBoxLayout *hboxLayout2;
    QPushButton *clientOkButton;
    QSpacerItem *spacerItem1;
    QPushButton *clientCancelButton;

    void setupUi(QDialog *ClientAppEditorBase)
    {
    if (ClientAppEditorBase->objectName().isEmpty())
        ClientAppEditorBase->setObjectName(QString::fromUtf8("ClientAppEditorBase"));
    ClientAppEditorBase->resize(350, 183);
    hboxLayout = new QHBoxLayout(ClientAppEditorBase);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(11);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    vboxLayout = new QVBoxLayout();
    vboxLayout->setSpacing(6);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    groupBox36 = new QGroupBox(ClientAppEditorBase);
    groupBox36->setObjectName(QString::fromUtf8("groupBox36"));
    QVBoxLayout *theLayout = new QVBoxLayout;
	groupBox36->setLayout(theLayout);
    groupBox36->layout()->setSpacing(0);
    groupBox36->layout()->setMargin(11);
    hboxLayout1 = new QHBoxLayout();
    QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(groupBox36->layout());
    if (boxlayout)
        boxlayout->addLayout(hboxLayout1);
    hboxLayout1->setAlignment(Qt::AlignTop);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    gridLayout = new QGridLayout();
    gridLayout->setSpacing(6);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    textLabel7 = new QLabel(groupBox36);
    textLabel7->setObjectName(QString::fromUtf8("textLabel7"));
    textLabel7->setWordWrap(false);

    gridLayout->addWidget(textLabel7, 1, 0, 1, 1);

    clientServerComboBox = new QComboBox(groupBox36);
    clientServerComboBox->setObjectName(QString::fromUtf8("clientServerComboBox"));

    gridLayout->addWidget(clientServerComboBox, 2, 1, 1, 1);

    textLabel8 = new QLabel(groupBox36);
    textLabel8->setObjectName(QString::fromUtf8("textLabel8"));
    textLabel8->setWordWrap(false);

    gridLayout->addWidget(textLabel8, 2, 0, 1, 1);

    textLabel6 = new QLabel(groupBox36);
    textLabel6->setObjectName(QString::fromUtf8("textLabel6"));
    textLabel6->setWordWrap(false);

    gridLayout->addWidget(textLabel6, 0, 0, 1, 1);

    clientParametersLineEdit = new QLineEdit(groupBox36);
    clientParametersLineEdit->setObjectName(QString::fromUtf8("clientParametersLineEdit"));

    gridLayout->addWidget(clientParametersLineEdit, 1, 1, 1, 1);

    clientNameTextLabel = new QLabel(groupBox36);
    clientNameTextLabel->setObjectName(QString::fromUtf8("clientNameTextLabel"));
    clientNameTextLabel->setWordWrap(false);
    clientNameTextLabel->setFrameStyle(QFrame::StyledPanel);

    gridLayout->addWidget(clientNameTextLabel, 0, 1, 1, 1);


    hboxLayout1->addLayout(gridLayout);


    vboxLayout->addWidget(groupBox36);

    spacerItem = new QSpacerItem(20, 407, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem);

    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(6);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    clientOkButton = new QPushButton(ClientAppEditorBase);
    clientOkButton->setObjectName(QString::fromUtf8("clientOkButton"));
    clientOkButton->setEnabled(true);

    hboxLayout2->addWidget(clientOkButton);

    spacerItem1 = new QSpacerItem(71, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout2->addItem(spacerItem1);

    clientCancelButton = new QPushButton(ClientAppEditorBase);
    clientCancelButton->setObjectName(QString::fromUtf8("clientCancelButton"));

    hboxLayout2->addWidget(clientCancelButton);


    vboxLayout->addLayout(hboxLayout2);


    hboxLayout->addLayout(vboxLayout);

    QWidget::setTabOrder(clientNameTextLabel, clientParametersLineEdit);
    QWidget::setTabOrder(clientParametersLineEdit, clientServerComboBox);
    QWidget::setTabOrder(clientServerComboBox, clientOkButton);
    QWidget::setTabOrder(clientOkButton, clientCancelButton);

    retranslateUi(ClientAppEditorBase);
    QObject::connect(clientServerComboBox, SIGNAL(activated(QString)), ClientAppEditorBase, SLOT(enableOkButton()));
    QObject::connect(clientCancelButton, SIGNAL(clicked()), ClientAppEditorBase, SLOT(reject()));
    QObject::connect(clientOkButton, SIGNAL(clicked()), ClientAppEditorBase, SLOT(accept()));

    QMetaObject::connectSlotsByName(ClientAppEditorBase);
    } // setupUi

    void retranslateUi(QDialog *ClientAppEditorBase)
    {
    ClientAppEditorBase->setWindowTitle(QApplication::translate("ClientAppEditorBase", "Form4", 0, QApplication::UnicodeUTF8));
    groupBox36->setTitle(QApplication::translate("ClientAppEditorBase", "Client", 0, QApplication::UnicodeUTF8));
    textLabel7->setText(QApplication::translate("ClientAppEditorBase", "Parameters", 0, QApplication::UnicodeUTF8));
    textLabel8->setText(QApplication::translate("ClientAppEditorBase", "Server", 0, QApplication::UnicodeUTF8));
    textLabel6->setText(QApplication::translate("ClientAppEditorBase", "Name", 0, QApplication::UnicodeUTF8));
    clientOkButton->setText(QApplication::translate("ClientAppEditorBase", "&OK", 0, QApplication::UnicodeUTF8));
    clientOkButton->setShortcut(QApplication::translate("ClientAppEditorBase", "Alt+O", 0, QApplication::UnicodeUTF8));
    clientCancelButton->setText(QApplication::translate("ClientAppEditorBase", "&Cancel", 0, QApplication::UnicodeUTF8));
    clientCancelButton->setShortcut(QApplication::translate("ClientAppEditorBase", "Alt+C", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(ClientAppEditorBase);
    } // retranslateUi

};

namespace Ui {
    class ClientAppEditorBase: public Ui_ClientAppEditorBase {};
} // namespace Ui

class ClientAppEditorBase : public QDialog, public Ui::ClientAppEditorBase
{
    Q_OBJECT

public:
    ClientAppEditorBase(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~ClientAppEditorBase();

public slots:
    virtual void enableOkButton();

protected slots:
    virtual void languageChange();

};

#endif // CLIENTAPPEDITORBASE_H
