#ifndef CLIENTEDITORBASE_H
#define CLIENTEDITORBASE_H

#include <QtCore/QVariant>
#include <QtGui/QGroupBox>
#include <QtGui/QTreeWidget>
#include <QtGui/QHeaderView>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QToolButton>
#include <QtGui/QVBoxLayout>

class Ui_ClientEditorBase
{
public:
    QHBoxLayout *hboxLayout;
    QVBoxLayout *vboxLayout;
    QGroupBox *ClientBox;
    QHBoxLayout *hboxLayout1;
    QVBoxLayout *vboxLayout1;
    QHBoxLayout *hboxLayout2;
    QLabel *textLabel2;
    QLabel *ClientNameLabel;
    QGroupBox *groupBox4;
    QHBoxLayout *hboxLayout3;
    QTreeWidget *ClientEmitsFlowListView;
    QGroupBox *groupBox5;
    QHBoxLayout *hboxLayout4;
    QTreeWidget *ClientReceivesFlowListView;
    QHBoxLayout *hboxLayout5;
    QLabel *textLabel1;
    QLabel *ClientPathLabel;
    QToolButton *ClientBrowseButton;
    //QToolButton *clientApplyButton;
    QHBoxLayout *hboxLayout6;
    QPushButton *ClientOkButton;
    QSpacerItem *spacerItem;
    QPushButton *ClientCancelButton;

    void setupUi(QDialog *ClientEditorBase)
    {
    if (ClientEditorBase->objectName().isEmpty())
        ClientEditorBase->setObjectName(QString::fromUtf8("ClientEditorBase"));
    ClientEditorBase->resize(428, 448);
    hboxLayout = new QHBoxLayout(ClientEditorBase);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(11);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    vboxLayout = new QVBoxLayout();
    vboxLayout->setSpacing(6);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    ClientBox = new QGroupBox(ClientEditorBase);
    ClientBox->setObjectName(QString::fromUtf8("ClientBox"));
	QVBoxLayout *theLayout = new QVBoxLayout;
	ClientBox->setLayout(theLayout);    
	ClientBox->layout()->setSpacing(0);
    ClientBox->layout()->setMargin(11);
    hboxLayout1 = new QHBoxLayout();
    QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(ClientBox->layout());
    if (boxlayout)
        boxlayout->addLayout(hboxLayout1);
    hboxLayout1->setAlignment(Qt::AlignTop);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    vboxLayout1 = new QVBoxLayout();
    vboxLayout1->setSpacing(6);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(6);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    textLabel2 = new QLabel(ClientBox);
    textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(textLabel2->sizePolicy().hasHeightForWidth());
    textLabel2->setSizePolicy(sizePolicy);
    textLabel2->setWordWrap(false);

    hboxLayout2->addWidget(textLabel2);

    ClientNameLabel = new QLabel(ClientBox);
    ClientNameLabel->setObjectName(QString::fromUtf8("ClientNameLabel"));
    ClientNameLabel->setWordWrap(false);
    ClientNameLabel->setFrameStyle(QFrame::StyledPanel);

    hboxLayout2->addWidget(ClientNameLabel);


    vboxLayout1->addLayout(hboxLayout2);

    groupBox4 = new QGroupBox(ClientBox);
    groupBox4->setObjectName(QString::fromUtf8("groupBox4"));
	QVBoxLayout *theLayout2 = new QVBoxLayout;
	groupBox4->setLayout(theLayout2);    
	groupBox4->layout()->setSpacing(0);
    groupBox4->layout()->setMargin(5);
    hboxLayout3 = new QHBoxLayout();
    QBoxLayout *boxlayout1 = qobject_cast<QBoxLayout *>(groupBox4->layout());
    if (boxlayout1)
        boxlayout1->addLayout(hboxLayout3);
    hboxLayout3->setAlignment(Qt::AlignTop);
    hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));

	QStringList theLabel;
	theLabel << "Name" << "Type";
	
	ClientEmitsFlowListView = new QTreeWidget(groupBox4);
	ClientEmitsFlowListView->setColumnCount(2);
	ClientEmitsFlowListView->setHeaderLabels(theLabel);
	ClientEmitsFlowListView->header()->setMovable(false);
	ClientEmitsFlowListView->header()->setResizeMode(0, QHeaderView::Stretch);
	ClientEmitsFlowListView->header()->setResizeMode(1, QHeaderView::Stretch);
	ClientEmitsFlowListView->setRootIsDecorated ( false );
	
   /* ClientEmitsFlowListView->addColumn(QApplication::translate("ClientEditorBase", "Name", 0, QApplication::UnicodeUTF8));
    ClientEmitsFlowListView->header()->setClickEnabled(true, ClientEmitsFlowListView->header()->count() - 1);
    ClientEmitsFlowListView->header()->setResizeEnabled(true, ClientEmitsFlowListView->header()->count() - 1);
    ClientEmitsFlowListView->addColumn(QApplication::translate("ClientEditorBase", "Type", 0, QApplication::UnicodeUTF8));
    ClientEmitsFlowListView->header()->setClickEnabled(true, ClientEmitsFlowListView->header()->count() - 1);
    ClientEmitsFlowListView->header()->setResizeEnabled(true, ClientEmitsFlowListView->header()->count() - 1);
    ClientEmitsFlowListView->setObjectName(QString::fromUtf8("ClientEmitsFlowListView"));*/

    hboxLayout3->addWidget(ClientEmitsFlowListView);


    vboxLayout1->addWidget(groupBox4);

    groupBox5 = new QGroupBox(ClientBox);
    groupBox5->setObjectName(QString::fromUtf8("groupBox5"));
	QVBoxLayout *theLayout3 = new QVBoxLayout;
	groupBox5->setLayout(theLayout3);    
	groupBox5->layout()->setSpacing(0);
    groupBox5->layout()->setMargin(5);
    hboxLayout4 = new QHBoxLayout();
    QBoxLayout *boxlayout2 = qobject_cast<QBoxLayout *>(groupBox5->layout());
    if (boxlayout2)
        boxlayout2->addLayout(hboxLayout4);
    hboxLayout4->setAlignment(Qt::AlignTop);
    hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
    
	ClientReceivesFlowListView = new QTreeWidget(groupBox5);
	ClientReceivesFlowListView->setColumnCount(2);
	ClientReceivesFlowListView->setHeaderLabels(theLabel);
	ClientReceivesFlowListView->header()->setMovable(false);
	ClientReceivesFlowListView->header()->setResizeMode(0, QHeaderView::Stretch);
	ClientReceivesFlowListView->header()->setResizeMode(1, QHeaderView::Stretch);
	ClientReceivesFlowListView->setRootIsDecorated ( false );

    hboxLayout4->addWidget(ClientReceivesFlowListView);


    vboxLayout1->addWidget(groupBox5);


    hboxLayout1->addLayout(vboxLayout1);


    vboxLayout->addWidget(ClientBox);

    hboxLayout5 = new QHBoxLayout();
    hboxLayout5->setSpacing(6);
    hboxLayout5->setObjectName(QString::fromUtf8("hboxLayout5"));
    textLabel1 = new QLabel(ClientEditorBase);
    textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
    
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(textLabel1->sizePolicy().hasHeightForWidth());
    textLabel1->setSizePolicy(sizePolicy2);
    textLabel1->setWordWrap(false);

    hboxLayout5->addWidget(textLabel1);

    ClientPathLabel = new QLabel(ClientEditorBase);
    ClientPathLabel->setWordWrap(false);
    ClientPathLabel->setFrameStyle(QFrame::StyledPanel);
    ClientPathLabel->setScaledContents(true);
    ClientPathLabel->setObjectName(QString::fromUtf8("ClientPathLineEdit"));

    hboxLayout5->addWidget(ClientPathLabel);

    ClientBrowseButton = new QToolButton(ClientEditorBase);
    ClientBrowseButton->setObjectName(QString::fromUtf8("ClientBrowseButton"));

    hboxLayout5->addWidget(ClientBrowseButton);

    //clientApplyButton = new QToolButton(ClientEditorBase);
    //clientApplyButton->setObjectName(QString::fromUtf8("clientApplyButton"));

    //hboxLayout5->addWidget(clientApplyButton);


    vboxLayout->addLayout(hboxLayout5);

    hboxLayout6 = new QHBoxLayout();
    hboxLayout6->setSpacing(6);
    hboxLayout6->setObjectName(QString::fromUtf8("hboxLayout6"));
    ClientOkButton = new QPushButton(ClientEditorBase);
    ClientOkButton->setObjectName(QString::fromUtf8("ClientOkButton"));
    ClientOkButton->setEnabled(false);

    hboxLayout6->addWidget(ClientOkButton);

    spacerItem = new QSpacerItem(71, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout6->addItem(spacerItem);

    ClientCancelButton = new QPushButton(ClientEditorBase);
    ClientCancelButton->setObjectName(QString::fromUtf8("ClientCancelButton"));

    hboxLayout6->addWidget(ClientCancelButton);


    vboxLayout->addLayout(hboxLayout6);


    hboxLayout->addLayout(vboxLayout);


    retranslateUi(ClientEditorBase);
    QObject::connect(ClientOkButton, SIGNAL(clicked()), ClientEditorBase, SLOT(accept()));
    QObject::connect(ClientCancelButton, SIGNAL(clicked()), ClientEditorBase, SLOT(reject()));
    QObject::connect(ClientBrowseButton, SIGNAL(clicked()), ClientEditorBase, SLOT(browseClient()));
    //QObject::connect(clientApplyButton, SIGNAL(clicked()), ClientEditorBase, SLOT(checkClient()));
    //QObject::connect(ClientPathLineEdit, SIGNAL(textChanged(QString)), ClientEditorBase, SLOT(notApproved()));

    QMetaObject::connectSlotsByName(ClientEditorBase);
    } // setupUi

    void retranslateUi(QDialog *ClientEditorBase)
    {
    ClientEditorBase->setWindowTitle(QApplication::translate("ClientEditorBase", "Add a Client to the List", 0, QApplication::UnicodeUTF8));
    ClientBox->setTitle(QApplication::translate("ClientEditorBase", "Client", 0, QApplication::UnicodeUTF8));
    textLabel2->setText(QApplication::translate("ClientEditorBase", "Name", 0, QApplication::UnicodeUTF8));
    ClientNameLabel->setText(QString());
    groupBox4->setTitle(QApplication::translate("ClientEditorBase", "Emits Flow", 0, QApplication::UnicodeUTF8));
    groupBox5->setTitle(QApplication::translate("ClientEditorBase", "Receives Flow", 0, QApplication::UnicodeUTF8));
    textLabel1->setText(QApplication::translate("ClientEditorBase", "Path", 0, QApplication::UnicodeUTF8));
    ClientBrowseButton->setText(QApplication::translate("ClientEditorBase", "...", 0, QApplication::UnicodeUTF8));
    //clientApplyButton->setText(QApplication::translate("ClientEditorBase", "Apply", 0, QApplication::UnicodeUTF8));
    ClientOkButton->setText(QApplication::translate("ClientEditorBase", "&OK", 0, QApplication::UnicodeUTF8));
    ClientOkButton->setShortcut(QApplication::translate("ClientEditorBase", "Alt+O", 0, QApplication::UnicodeUTF8));
    ClientCancelButton->setText(QApplication::translate("ClientEditorBase", "&Cancel", 0, QApplication::UnicodeUTF8));
    ClientCancelButton->setShortcut(QApplication::translate("ClientEditorBase", "Alt+C", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(ClientEditorBase);
    } // retranslateUi

};

namespace Ui {
    class ClientEditorBase: public Ui_ClientEditorBase {};
} // namespace Ui

class ClientEditorBase : public QDialog, public Ui::ClientEditorBase
{
    Q_OBJECT

public:
    ClientEditorBase(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~ClientEditorBase();

    virtual void enableOKButton();

public slots:
    virtual void browseClient();
    virtual void checkClient();
    virtual void notApproved();

protected slots:
    virtual void languageChange();

};

#endif // CLIENTEDITORBASE_H
