#include "LogViewBase.h"

/*
 *  Constructs a LogViewBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
LogViewBase::LogViewBase(QWidget* parent, const char* name, Qt::WindowFlags fl)
: QDialog(parent, name, Qt::Tool)
{
    Q_UNUSED(fl);	
    setupUi(this);
    setModal(false);
	
}

/*
 *  Destroys the object and frees any allocated resources
 */
LogViewBase::~LogViewBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void LogViewBase::languageChange()
{
    retranslateUi(this);
}

