#include "mainwindow.h"
#include "dialog/ConfigurationServerList.h"
#include "dialog/ConfigurationClientList.h"
#include "map/MapView.h"
#include "model/SfControl.h"
#include "mainwindow.ui.h"

#include <QtCore/QVariant>
#include <QtCore/QRegExp>
#include <QtCore/QObject>
#include <QtCore/QSize>
#include <QtGui/QTabWidget>
#include <QtGui/QAction>
#include <QtGui/QLabel>
#include <QtGui/QStatusBar>
#include <QtGui/QFileDialog>
#include <QtGui/QMessageBox>


#include <iostream>

/*
 *  Constructs a MainWindow as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 */
MainWindow::MainWindow(QWidget* parent, const char* name, Qt::WindowFlags fl)
: QMainWindow(parent, name, fl)
{
    setupUi(this);
	
    (void)statusBar();
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
MainWindow::~MainWindow()
{
    destroy();
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MainWindow::languageChange()
{
    retranslateUi(this);
}

