#ifndef _SFCONTROLTHREAD_H
#define _SFCONTROLTHREAD_H

#include "Smartflow.h"
#include "GlobalCC.h"
#include "SfControl.h"

#include <QtCore/QThread>
#include <QtCore/QMutex>
#include <QtCore/QSemaphore>

class SfControlThread : public QThread {
	Q_OBJECT
public:
	SfControlThread(GlobalCC *g, QSemaphore *s);
	~SfControlThread();
	
	SfControl *getSfControl() { return control; }
	void doSleep();
	
protected:
	void run();
	void initSignalAndSlots();
	
private:
	GlobalCC *global;
	SfControl *control;
	QSemaphore *sem;
};

#endif
