#include "Smartflow.h"
#include "c_wrapper.h"

#include <iostream>

using namespace std;
using namespace smartflow;
Smartflow * sf;

__declspec(dllexport) void __stdcall sf_create() {
	sf = new Smartflow();
}

__declspec(dllexport) bool __stdcall sf_ready_to_run() {
	bool b = false;
	if ( sf )
		b = sf->ready_to_run();
	return b;
}

__declspec(dllexport) int __stdcall sf_init() {
	int argc_ = 0;
	char **argv_ = NULL;
	const char *appName = "io";
	cout << "SFINIT" << endl;
	return sf->init(argc_, argv_);
}

__declspec(dllexport) int __stdcall sf_connect_to_application_server() {
	printf("Connecting to application server\n");
	return sf->connect_to_application_server("NSDFSCChj", "admin");
}

__declspec(dllexport) char* __stdcall sf_getServerList(std::string &serverlist) {
	string test;
	sf->getServerList(test);
	//cout << test << endl;
	unsigned int sizeOFString = test.size();
	char *toto = (char*)malloc(sizeOFString+1);
	memcpy(toto,test.c_str(), sizeOFString);
	return toto;

}

__declspec(dllexport) bool __stdcall sf_test() {
	return true;
}